package com.zy.commonutils.exception;

import java.io.IOException;
import java.io.PrintWriter;
import java.io.StringWriter;

/**
 * @author 张雨 - 栀
 * @version 1.0
 * @create 2022/3/18 9:41
 */
public class ExceptionUtil {
    public static String getMessage(Exception e){
        StringWriter sw = null;
        PrintWriter pw = null;
        try {
            sw = new StringWriter();
            pw = new PrintWriter(sw);

            e.printStackTrace(pw);
            pw.flush();
            sw.flush();
        }finally {
            if(sw != null){
                try {
                    sw.close();
                } catch (IOException ioException) {
                    ioException.printStackTrace();
                }
            }
            if(pw != null){
                pw.close();
            }
        }
        return sw.toString();
    }
}
