package com.zy.eduorder.client;

import com.zy.servicebase.user.CourseWebVoOrder;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @author zhangyu
 */
@Component
@FeignClient("service-edu")
public interface EduClient {
    /**
     *     远程调用根据课程id获得课程信息
     */
    @PostMapping("/eduservice/coursefront/getCourseInfoOrder/{id}")
    CourseWebVoOrder getCourseInfoOrder(@PathVariable("id") String id);
}
