package com.zy.eduservice.client.impl;

import com.zy.commonutils.R;
import com.zy.eduservice.client.VodClient;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author zhangyu
 */
@Component
public class VodClientImpl implements VodClient {
    /**
     * 熔断机制
     * @param videoId
     * @return
     */
    @Override
    public R removeVideo(String videoId) {
        return R.error().message("删除视频出错了");
    }

    @Override
    public R deleteBatch(List<String> videoIdList) {
        return R.error().message("删除多个视频出错了");
    }
}
