package com.zy.eduorder.client;

import com.zy.servicebase.user.UcenterMemberOrder;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @author zhangyu
 */
@Component
@FeignClient("service-ucenter")
public interface UcenterClient {
    /**
     *  根据用户id获取客户信息
     */
    @PostMapping("/usercenter/member/getUserInfoOrder/{id}")
    UcenterMemberOrder getUserInfoOrder(@PathVariable String id);
}
